@rem Batch/Script file for convenient execution of ZipSnapNG
@rem Instructions:
@rem   1. Change "ZipSnapDir" to the full path of the ZipSnapNG base directory (where the README file is located) 
@rem   2. Optionally change "JavaFullPath" to the full path of the java executable if not in the PATH
@rem   3. Optionally adjust "MaxMemoryMb" to set the maximum amount of memory the JVM can use
@rem   4. Optionally copy this file to a directory on the PATH
@echo off

@rem Configuration settings
SET ZipSnapDir=C:\Program Files\ZipSnapNG
SET JavaFullPath="java"
SET MaxMemoryMb=512

@rem Do not change anything below this line
SET ZipSnapVersion=3.1.0
SET Zip4jVersion=1.3.2-1
SET PropertiesFile="%ZipSnapDir%\etc\ZipSnapNG.properties"
SET FileEncoding=UTF-8
SET ClassPath="%ZipSnapDir%\lib\ZipSnapNG-%ZipSnapVersion%.jar;%ZipSnapDir%\lib\zip4j-%Zip4jVersion%.jar"
@rem SET JavaOptions="-javaagent:%ZipSnapDir%\lib\classmexer.jar"

IF NOT EXIST "%ZipSnapDir%" (echo ERROR: the ZipSnapDir directory %ZipSnapDir% does not exist. Please review the installation instructions && GOTO END)
IF NOT EXIST "%ZipSnapDir%\lib\zip4j-%Zip4jVersion%.jar" (echo ERROR: the Zip4j library cannot be found at %ZipSnapDir%\lib\zip4j-%Zip4jVersion%.jar && GOTO END)
IF NOT EXIST "%ZipSnapDir%\lib\ZipSnapNG-%ZipSnapVersion%.jar" (echo ERROR: the ZipSnapNG jar cannot be found at %ZipSnapDir%\lib\ZipSnapNG-%ZipSnapVersion%.jar && GOTO END)

:GO
SET Cmd=%JavaFullPath% -Xmx%MaxMemoryMb%m -classpath %ClassPath% -Dfile.encoding=%FileEncoding% -DpropertiesFile=%PropertiesFile% %JavaOptions% com.backup.zipsnap.ng.Main %*
@rem echo %Cmd%
IF "%1" == "gui" (start /B "" %Cmd%) ELSE (%Cmd%)

:END
pause
