package com.backup.zipsnap.ng.gui.util;

import java.awt.Component;
import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.filechooser.FileNameExtensionFilter;

import com.backup.zipsnap.ng.Main;

public class FileChooser extends JFileChooser {

	private static final long serialVersionUID = -6775904886304356760L;
	public static enum action { OPEN,SAVE; }
	public static enum filter { NONE,DIRECTORIES,JOBS; }

	/*
	 * Create the panel.
	 */
	public FileChooser() {
	}
	
	public static String open(Component window, String title, action thisAction, filter thisFilter) {
		JFileChooser fileChooser = new JFileChooser();
		fileChooser.setDialogTitle(title);
		/* open the last opened path */
		if (Main.settings.lastOpenedPath != null) {
			boolean endsWithSlash = (Main.settings.lastOpenedPath.endsWith(Main.fileSeparator));
		    String parentPath =  Main.settings.lastOpenedPath.substring(0, Main.settings.lastOpenedPath.lastIndexOf(Main.fileSeparator, 
		            endsWithSlash ? Main.settings.lastOpenedPath.length() - 2 : Main.settings.lastOpenedPath.length() - 1));
			fileChooser.setCurrentDirectory(new File(parentPath));
		}
		/* apply filters */
		if (thisFilter == filter.DIRECTORIES) {
			fileChooser.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
			fileChooser.setAcceptAllFileFilterUsed(false);
		}
		if (thisFilter == filter.JOBS) {
			fileChooser.setFileFilter(new FileNameExtensionFilter("ZipSnapNG Jobs (*.job)", "job"));
		}
		/* show the dialog */
		int result;
		if (thisAction == action.OPEN) result = fileChooser.showOpenDialog(window);
		else result = fileChooser.showSaveDialog(window);
		/* handle the result*/
		if (result == JFileChooser.APPROVE_OPTION) {
			String selectedFile = fileChooser.getSelectedFile().getAbsolutePath();
			Main.settings.lastOpenedPath = selectedFile; 
			return selectedFile;
		} else return "";
	}
	

}
