/**
 * TERMS AND CONDITIONS:
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.backup.zipsnap.ng.gui.util;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import com.backup.zipsnap.ng.gui.GUI;

import java.awt.Toolkit;

public class FileTreeFrame extends JFrame {

	private static final long serialVersionUID = -2989202528481413181L;
	private JPanel contentPane;
	private GUI gui;
	public FileTree fileTree;

	/*
	 * Create a frame containing a filetree
	 */
	public FileTreeFrame(final GUI gui) {
		this.gui = gui;
		setTitle("List of files and directories");
		setIconImage(Toolkit.getDefaultToolkit().getImage(FileTreeFrame.class.getResource("/com/sun/java/swing/plaf/windows/icons/DetailsView.gif")));
		setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
		setBounds(100, 100, 929, 500);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);
		fileTree = new FileTree(gui);
		contentPane.add(fileTree);
	}
	
	public void init() {
		fileTree = new FileTree(gui);
	}

}
