/**
 * TERMS AND CONDITIONS:
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.backup.zipsnap.ng.gui.util;

import java.awt.BorderLayout;
import java.awt.Font;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.border.EmptyBorder;

import com.backup.zipsnap.ng.Main;

public class TextFrame extends JFrame {

	private static final long serialVersionUID = 3158694072526628506L;
	public JPanel contentPane;
	public JTextArea textArea;
	private JScrollPane scrollPane;
	private JMenuBar menuBar;
	private JMenu mnEdit;
	private JMenuItem mntmCopy;
	private JMenuItem mntmSelectAll;
	private int count = 0;

	
	/*
	 * Create a generic text frame
	 */
	public TextFrame(String title) {
		setIconImage(Toolkit.getDefaultToolkit().getImage(TextFrame.class.getResource("/com/sun/java/swing/plaf/windows/icons/ListView.gif")));
		/* set the layout */
		setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
		setBounds(0, 0, 670, 535);
		setTitle(title);
		
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(new BorderLayout(0, 0));
		
		/* draw the menu  */
		menuBar = new JMenuBar();
		setJMenuBar(menuBar);
		mnEdit = new JMenu("Edit");
		menuBar.add(mnEdit);
		mntmCopy = new JMenuItem("Copy");
		mntmCopy.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				textArea.copy();
			}
		});
		mnEdit.add(mntmCopy);
		mntmSelectAll = new JMenuItem("Select All");
		mntmSelectAll.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				textArea.selectAll();
			}
		});
		mnEdit.add(mntmSelectAll);

		/* draw the text area */
		scrollPane = new JScrollPane();
		contentPane.add(scrollPane);
		textArea = new JTextArea();
		textArea.setFont(new Font("Monospaced", Font.PLAIN, 15));
		scrollPane.setViewportView(textArea);
		textArea.setEditable(false);
	}
	
	/*
	 * add a message to the text area
	 */
	public void append(String msg) {
		/* too many rows, clear the text area */
		if (count >= Main.settings.textAreaMaxItems) { 
			textArea.setText("");
			count = 0;
		}
		textArea.append(msg);
		count++;
	}
	
	/*
	 * reset the text area
	 */
	public void reset() {
		textArea.setText("");
		count = 0;
	}
	
}
