/**
 * TERMS AND CONDITIONS:
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.backup.zipsnap.ng.job.unit;

import java.util.Date;

import com.backup.zipsnap.ng.job.Job;
import com.backup.zipsnap.ng.job.util.UserIO;

/**
 * Represent a snapshot.
 */
public class SnapshotUnit
{
  /** timestamp of the snapshot (yyyyMMdd-HHmmss) */
  public int number;
  public String hostname = null;
  public String time = null;
  public int volumesIndex;
  public boolean isEncrypted;
  public boolean isDeleted;
  public Date date = null;

  public SnapshotUnit(int number,String hostname,String time, int volumesIndex, boolean isEncrypted, boolean isDeleted)
  {
    this.number = number;
    this.hostname = hostname;
    this.time = time;
    this.volumesIndex = volumesIndex;
    this.isEncrypted = isEncrypted;
    this.isDeleted = isDeleted;
    /* convert the time string into a date */
    try {
      date = Job.config.get().timestampFormatter.parse(time);
    } catch (Exception e) {
      UserIO.reportError("Unable to generate a date from the timestamp " + time + ": " +UserIO.getExceptionMessage(e));
    }
    
  }
}
